aboutsummaryrefslogtreecommitdiff
path: root/.builds/smoketest-builtin.sh
diff options
context:
space:
mode:
Diffstat (limited to '.builds/smoketest-builtin.sh')
-rwxr-xr-x.builds/smoketest-builtin.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/.builds/smoketest-builtin.sh b/.builds/smoketest-builtin.sh
index acf4640..9673922 100755
--- a/.builds/smoketest-builtin.sh
+++ b/.builds/smoketest-builtin.sh
@@ -1,6 +1,19 @@
#!/bin/sh
res=0
+
+# Devices that exist on sr.ht
+if [ -e "/dev/input/event0" ]
+then
+ file="/dev/input/event0"
+elif [ -e "/dev/dri/card0" ]
+then
+ file="/dev/dri/card0"
+else
+ echo "No useful device file found"
+ exit 1
+fi
+
#
# Run simpletest a few times
#
@@ -8,7 +21,7 @@ cnt=0
while [ "$cnt" -lt 5 ]
do
echo "Simpletest run $cnt"
- if ! sudo LIBSEAT_BACKEND=builtin LIBSEAT_LOGLEVEL=debug SEATD_SOCK=./seatd.sock ./build/simpletest
+ if ! sudo LIBSEAT_BACKEND=builtin LIBSEAT_LOGLEVEL=debug SEATD_SOCK=./seatd.sock ./build/simpletest $file
then
echo "Simpletest failed"
res=1